summaryrefslogtreecommitdiff
path: root/menuselect/bootstrap.sh
diff options
context:
space:
mode:
authorMatthew Jordan <mjordan@digium.com>2014-07-17 18:42:43 +0000
committerMatthew Jordan <mjordan@digium.com>2014-07-17 18:42:43 +0000
commitc7d3570248cfee32fb35fdf9d683ccb23e8da10b (patch)
tree792b25aea89fbbebf8eee3914037448729760cc1 /menuselect/bootstrap.sh
parentcd6c7744568e07124bd2cbf01d57eb0e15c82013 (diff)
menuselect: Add menuselect to Asterisk trunk (Patch 1)
This is the first patch that adds menuselect to Asterisk trunk, and removes the svn:externals property. This is being done for two reasons: (1) The removal of external repositories eases a future migration to git (2) Asterisk is now the only thing that uses menuselect; as a result, there's little need to keep it in an external repository Subsequent patches will remove the mxml dependency from menuselect and tidy up the build system. ASTERISK-20703 git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@418832 65c4cc65-6c06-0410-ace0-fbb531ad65f3
Diffstat (limited to 'menuselect/bootstrap.sh')
-rwxr-xr-xmenuselect/bootstrap.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/menuselect/bootstrap.sh b/menuselect/bootstrap.sh
new file mode 100755
index 000000000..cbc26aa2f
--- /dev/null
+++ b/menuselect/bootstrap.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+check_for_app() {
+ $1 --version 2>&1 >/dev/null
+ if [ $? != 0 ]
+ then
+ echo "Please install $1 and run bootstrap.sh again!"
+ exit 1
+ fi
+}
+
+uname -s | grep -q FreeBSD
+if [ $? = 0 ]
+then
+ check_for_app autoconf259
+ check_for_app autoheader259
+ check_for_app automake19
+ check_for_app aclocal19
+ echo "Generating the configure script ..."
+ aclocal19 2>/dev/null
+ autoconf259
+ autoheader259
+ automake19 --add-missing --copy 2>/dev/null
+else
+ AUTOCONF_VERSION=2.59
+ AUTOMAKE_VERSION=1.9
+ export AUTOCONF_VERSION
+ export AUTOMAKE_VERSION
+
+ check_for_app autoconf
+ check_for_app autoheader
+ check_for_app automake
+ check_for_app aclocal
+ echo "Generating the configure script ..."
+ aclocal 2>/dev/null
+ autoconf
+ autoheader
+ automake --add-missing --copy 2>/dev/null
+fi
+
+exit 0